﻿declare 
@@DELIVERY_NUMBER varchar(50) 

select  @@DELIVERY_NUMBER = a.SYSTEM_VALUE
from TB_M_SYSTEM as a
where a.FUNCTION_ID = 'DEL' 
and a.SYSTEM_CD = 'SEQ_NO_DEL';

if(@@DELIVERY_NUMBER='10000')
begin 
  SET @@DELIVERY_NUMBER='0001'
end
update TB_M_SYSTEM set 
	SYSTEM_VALUE= @@DELIVERY_NUMBER+1
where FUNCTION_ID = 'DEL' 
and SYSTEM_CD = 'SEQ_NO_DEL'; 
